Subject: Re: [PATCH v2 03/19] midx: teach `nth_midxed_pack_int_id()` about incremental MIDXs

From: Taylor Blau <[email-masked]>
Date: Thu, 1 Aug 2024 14:57:16 -0400

On Thu, Aug 01, 2024 at 05:30:06AM -0400, Jeff King wrote:
> On Wed, Jul 17, 2024 at 05:12:04PM -0400, Taylor Blau wrote:
>
> > [^1]: As a reminder, this means that the object is identified among the
> >   objects contained in all layers of the incremental MIDX chain, not any
> >   particular layer. For example, consider MIDX chain with two individual
> >   MIDXs, one with 4 objects and another with 3 objects. If the MIDX with
> >   4 objects appears earlier in the chain, then asking for pack "6" would
> >   return the second object in the MIDX with 3 objects.
>
> I think this is "object 6" in the final sentence?

Oops, yes. Thanks for spotting, this was as easy as s/pack/object on the
second to last line in the paragraph quoted above.

> OK, so now this function translates a global position into a local one,
> and then we get the pack id for the local midx/pos, and then turn it
> back into a global pack id.
>
> That all makes sense, but you definitely have to read carefully to make
> sure which positions/ids are global within the chain and which are local
> to a midx.

Exactly.

Thanks,
Taylor